Skip to content
Start here

Get Rate Plan by Public Key

client.billing.ratePlans.get(stringpublicKey, RequestOptionsoptions?): RatePlanGetResponse { id, components, currency, public_name }
GET/billing/rate_plans/{public_key}

Gets a rate plan’s details by its public key (e.g., ‘teams_free’, ‘cf_pro_20_20’). This is a public catalog endpoint, so authentication is not enforced and credentials are accepted but not required.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
publicKey: string
ReturnsExpand Collapse
RatePlanGetResponse { id, components, currency, public_name }
id?: string

The uppercase rate plan public key.

components?: Array<Record<string, unknown>>

Pricing components that make up this rate plan.

currency?: string

Currency of the rate plan pricing.

public_name?: string

Human-readable description of the rate plan.

Get Rate Plan by Public Key

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const ratePlan = await client.billing.ratePlans.get('teams_free');

console.log(ratePlan.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "TEAMS_FREE",
    "components": [
      {
        "foo": "bar"
      }
    ],
    "currency": "USD",
    "public_name": "Cloudflare Teams Free"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "TEAMS_FREE",
    "components": [
      {
        "foo": "bar"
      }
    ],
    "currency": "USD",
    "public_name": "Cloudflare Teams Free"
  },
  "success": true
}